# Humpback DDS

RF signal generator using Urukul, Humpback and STM32 NUCLEO-H743ZI2

## Nix commands

Open nix shell before anything.
```bash
nix-shell
```

Start OpenOCD server in unblocking mode.
```bash
run-openocd
```

Start OpenOCD server in blocking mode, for console print through semihosting.
```bash
run-openocd-block
```

Reset STM32 flash before flashing bitstream for Humpback FPGA.
```bash
reset-flash
```

Load bitstream to Humpback FPGA.
```bash
configure-fpga
```

Verify a proper bitstream is loaded to STM32 flash.
```bash
verify-fpga-config
```

Run a Ethernet server with TCP socket examples.
```bash
run-ethernet-server
```

Select a different gdb config file from ```gdb_config``` directory.
```bash
set-gdb-config-file <filename>
```
Leave <filename> as blank for default openocd.gdb configuration.
